UM C API 6.17.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

Functions
Get scalar field values by field name

## Functions
LBMSDMExpDLL int | lbmsdm_msg_get_boolean_name (lbmsdm_msg_t *Message, const char *Name, uint8_t *Value)
| Fetch a field value from a message by field name. More...
LBMSDMExpDLL int | lbmsdm_msg_get_int8_name (lbmsdm_msg_t *Message, const char *Name, int8_t *Value)
LBMSDMExpDLL int | lbmsdm_msg_get_uint8_name (lbmsdm_msg_t *Message, const char *Name, uint8_t *Value)
LBMSDMExpDLL int | lbmsdm_msg_get_int16_name (lbmsdm_msg_t *Message, const char *Name, int16_t *Value)
LBMSDMExpDLL int | lbmsdm_msg_get_uint16_name (lbmsdm_msg_t *Message, const char *Name, uint16_t *Value)
LBMSDMExpDLL int | lbmsdm_msg_get_int32_name (lbmsdm_msg_t *Message, const char *Name, int32_t *Value)
LBMSDMExpDLL int | lbmsdm_msg_get_uint32_name (lbmsdm_msg_t *Message, const char *Name, uint32_t *Value)
LBMSDMExpDLL int | lbmsdm_msg_get_int64_name (lbmsdm_msg_t *Message, const char *Name, int64_t *Value)
LBMSDMExpDLL int | lbmsdm_msg_get_uint64_name (lbmsdm_msg_t *Message, const char *Name, uint64_t *Value)
LBMSDMExpDLL int | lbmsdm_msg_get_float_name (lbmsdm_msg_t *Message, const char *Name, float *Value)
LBMSDMExpDLL int | lbmsdm_msg_get_double_name (lbmsdm_msg_t *Message, const char *Name, double *Value)
LBMSDMExpDLL int | lbmsdm_msg_get_decimal_name (lbmsdm_msg_t *Message, const char *Name, lbmsdm_decimal_t *Value)
LBMSDMExpDLL int | lbmsdm_msg_get_timestamp_name (lbmsdm_msg_t *Message, const char *Name, struct timeval *Value)
LBMSDMExpDLL int | lbmsdm_msg_get_message_name (lbmsdm_msg_t *Message, const char *Name, lbmsdm_msg_t **Value)
LBMSDMExpDLL int | lbmsdm_msg_get_string_name (lbmsdm_msg_t *Message, const char *Name, char *Value, size_t *Size)
| Fetch a string field value from a message by field name. More...
LBMSDMExpDLL int | lbmsdm_msg_get_unicode_name (lbmsdm_msg_t *Message, const char *Name, wchar_t *Value, size_t *Size)
| Fetch a unicode field value from a message by field name. More...
LBMSDMExpDLL int | lbmsdm_msg_get_blob_name (lbmsdm_msg_t *Message, const char *Name, void *Value, size_t *Size)
| Fetch a BLOB field value from a message by field name. More...

## Detailed Description

The functions in this group allow the retrieval of the value of a scalar (non-array) field, referenced by field name.

## Function Documentation

LBMSDMExpDLL int lbmsdm_msg_get_blob_name | ( | lbmsdm_msg_t * | Message,
|  | const char * | Name,
|  | void * | Value,
|  | size_t * | Size
| ) |  |

Fetch a BLOB field value from a message by field name.

Parameters

  Message | The SDM message from which the field is to be fetched.
  Name | Field name.
  Value | Pointer to variable where the value is stored.
  Size | Pointer to a variable containing the maximum size of Value in bytes. On exit, it will contain the actual size of the data.

Return values

  LBMSDM_SUCCESS | if successful
  LBMSDM_INSUFFICIENT_BUFFER_LENGTH | if Size is not large enough for the string. Size will contain the length required in bytes.
  LBMSDM_FAILURE | otherwise.

LBMSDMExpDLL int lbmsdm_msg_get_boolean_name | ( | lbmsdm_msg_t * | Message,
|  | const char * | Name,
|  | uint8_t * | Value
| ) |  |

Fetch a field value from a message by field name.

Parameters

  Message | The SDM message from which the field is to be fetched.
  Name | Field name.
  Value | Pointer to variable where the value is stored.

Returns
  LBMSDM_SUCCESS if successful, LBMSDM_FAILURE otherwise.

LBMSDMExpDLL int lbmsdm_msg_get_decimal_name | ( | lbmsdm_msg_t * | Message,
|  | const char * | Name,
|  | lbmsdm_decimal_t * | Value
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_msg_get_double_name | ( | lbmsdm_msg_t * | Message,
|  | const char * | Name,
|  | double * | Value
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_msg_get_float_name | ( | lbmsdm_msg_t * | Message,
|  | const char * | Name,
|  | float * | Value
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_msg_get_int16_name | ( | lbmsdm_msg_t * | Message,
|  | const char * | Name,
|  | int16_t * | Value
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_msg_get_int32_name | ( | lbmsdm_msg_t * | Message,
|  | const char * | Name,
|  | int32_t * | Value
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_msg_get_int64_name | ( | lbmsdm_msg_t * | Message,
|  | const char * | Name,
|  | int64_t * | Value
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_msg_get_int8_name | ( | lbmsdm_msg_t * | Message,
|  | const char * | Name,
|  | int8_t * | Value
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_msg_get_message_name | ( | lbmsdm_msg_t * | Message,
|  | const char * | Name,
|  | lbmsdm_msg_t ** | Value
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_msg_get_string_name | ( | lbmsdm_msg_t * | Message,
|  | const char * | Name,
|  | char * | Value,
|  | size_t * | Size
| ) |  |

Fetch a string field value from a message by field name.

Parameters

  Message | The SDM message from which the field is to be fetched.
  Name | Field name.
  Value | Pointer to variable where the value is stored.
  Size | Pointer to a variable containing the maximum size of Value (including the terminating null character). On exit, it will contain the actual size of the string (including the terminating null character).

Return values

  LBMSDM_SUCCESS | if successful
  LBMSDM_INSUFFICIENT_BUFFER_LENGTH | if Size is not large enough for the string. Size will contain the length required.
  LBMSDM_FAILURE | otherwise.

LBMSDMExpDLL int lbmsdm_msg_get_timestamp_name | ( | lbmsdm_msg_t * | Message,
|  | const char * | Name,
|  | struct timeval * | Value
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_msg_get_uint16_name | ( | lbmsdm_msg_t * | Message,
|  | const char * | Name,
|  | uint16_t * | Value
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_msg_get_uint32_name | ( | lbmsdm_msg_t * | Message,
|  | const char * | Name,
|  | uint32_t * | Value
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_msg_get_uint64_name | ( | lbmsdm_msg_t * | Message,
|  | const char * | Name,
|  | uint64_t * | Value
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_msg_get_uint8_name | ( | lbmsdm_msg_t * | Message,
|  | const char * | Name,
|  | uint8_t * | Value
| ) |  |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

LBMSDMExpDLL int lbmsdm_msg_get_unicode_name | ( | lbmsdm_msg_t * | Message,
|  | const char * | Name,
|  | wchar_t * | Value,
|  | size_t * | Size
| ) |  |

Fetch a unicode field value from a message by field name.

Parameters

  Message | The SDM message from which the field is to be fetched.
  Name | Field name.
  Value | Pointer to variable where the value is stored.
  Size | Pointer to a variable containing the maximum size of Value in `wchar_t`s. On exit, it will contain the actual size of the data in `wchar_t`s

Return values

  LBMSDM_SUCCESS | if successful
  LBMSDM_INSUFFICIENT_BUFFER_LENGTH | if Size is not large enough for the string. Size will contain the length required in `wchar_t`s.
  LBMSDM_FAILURE | otherwise.